Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.model.util
Class TableValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.emf.ecp.view.spi.table.model.util.TableValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class TableValidator

extends org.eclipse.emf.ecore.util.EObjectValidator

The Validator for the model.

Since:
  1.5
See Also:
  `VTablePackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEClassValidator, org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

Field Summary
`static String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package.
`static TableValidator` | `INSTANCE` The cached model package

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_BIDIRECTIONAL_REFERENCE_IS_PAIRED, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__NO_CIRCULAR_CONTAINMENT, EOBJECT__UNIQUE_ID, ROOT_OBJECT`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`TableValidator()` Creates an instance of the switch.

Method Summary
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics.
`boolean` | `validate_EveryMultiplicityConforms(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateDetailEditing(DetailEditing detailEditing, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateReadOnlyColumnConfiguration(VReadOnlyColumnConfiguration readOnlyColumnConfiguration, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)` .
`boolean` | `validateTableColumnConfiguration(VTableColumnConfiguration tableColumnConfiguration, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateTableControl(VTableControl tableControl, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateTableDomainModelReference_resolveable(VTableDomainModelReference tableDomainModelReference, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the resolveable constraint of 'Domain Model Reference'.
`boolean` | `validateTableDomainModelReference(VTableDomainModelReference tableDomainModelReference, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`getFeatureLabel, getObjectLabel, getValueLabel, validate_BidirectionalReferenceIsPaired, validate_EveryBidirectionalReferenceIsPaired, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_NoCircularContainment, validate_UniqueID, validate, validate, validate, validate, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TableValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

Constructor Detail

### TableValidator

    public TableValidator()

  Creates an instance of the switch.

Method Detail

### validateTableControl

    public boolean validateTableControl(VTableControl tableControl,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        Map<Object,Object> context)

### validateTableColumnConfiguration

    public boolean validateTableColumnConfiguration(VTableColumnConfiguration tableColumnConfiguration,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    Map<Object,Object> context)

### validateTableDomainModelReference

    public boolean validateTableDomainModelReference(VTableDomainModelReference tableDomainModelReference,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     Map<Object,Object> context)

### validate_EveryMultiplicityConforms

    public boolean validate_EveryMultiplicityConforms(org.eclipse.emf.ecore.EObject eObject,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      Map<Object,Object> context)

  Overrides:
    `validate_EveryMultiplicityConforms` in class `org.eclipse.emf.ecore.util.EObjectValidator`
  See Also:
    `EObjectValidator.validate_EveryMultiplicityConforms(org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### validateTableDomainModelReference_resolveable

    public boolean validateTableDomainModelReference_resolveable(VTableDomainModelReference tableDomainModelReference,
                                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                 Map<Object,Object> context)

  Validates the resolveable constraint of 'Domain Model Reference'.

### validateReadOnlyColumnConfiguration

    public boolean validateReadOnlyColumnConfiguration(VReadOnlyColumnConfiguration readOnlyColumnConfiguration,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       Map<Object,Object> context)

  .

### validateDetailEditing

    public boolean validateDetailEditing(DetailEditing detailEditing,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         Map<Object,Object> context)

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

  Overrides:
    `getResourceLocator` in class `org.eclipse.emf.ecore.util.EObjectValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.